{*
  * @name zerosix
  * @license zerosix.com
  * @author zerosix.com
  * @copyright zerosix.com
  *}
{extends 'customer/page.tpl'}


{block name='page_content'}


  {if isset($error) && $error|count > 0 }
    <div class="alert alert-danger">
      {foreach from=$error item=message}
        {$message|escape:'htmlall':'UTF-8'}<br>
      {/foreach}
    </div>
  {/if}


  {if isset($success) && $success|count > 0 }
    <div class="alert alert-success">
      {foreach from=$success item=message}
        {$message|escape:'htmlall':'UTF-8'}<br>
      {/foreach}
    </div>
  {/if}


  <section id="zs_customer_content" class="page-content">

    <div class="box">
      <h1 class="page-subheading">{l s='Almost done' mod='zerosix'}</h1>

      <form class="std" action="{$link->getModuleLink('zerosix','account')|escape:'htmlall':'UTF-8'}" method="post">

      {if isset($smarty.get.from_page)}
        <input type="hidden" name="from_page" value="{$smarty.get.from_page}" />
      {/if}

        <div class="alert alert-info">
          <div class="row">
            <span class="col-md-4">
              {l s='For validate your loyalty card, please enter le code number received by SMS' mod='zerosix'} <br>
            </span>
            <span class="col-md-4">
              <input type="text" name="otp" required class="form-control" placeholder="{l s='Enter the code here' mod='zerosix'}">
            </span>
            <span class="col-md-4">
              <button type="submit" name="checkOtp" class="btn btn-primary">{l s='Validate card' mod='zerosix'}</button>
            </span>
            <br>
            <br>
            <br>
            <span class="col-md-12">
              {l s='You have not received your code ?' mod='zerosix'}
              <a href="{$link->getModuleLink('zerosix','account')|escape:'htmlall':'UTF-8'}?action=sendOtp">{l s='Send again' mod='zerosix'}</a>
            </span>
          </div>
        </div> <!-- end alert -->
      </form>
    </section> {* end box*}

{/block}


{block name='page_footer'}
  {block name='my_account_links'}
    {* Clear default links*}
  {/block}
{/block}