{*
* @name zerosix
* @license zerosix.com
* @author zerosix.com
* @copyright zerosix.com
*}

<script type="text/javascript">
function isValidZSPhone(p) {
  const regex = {literal}/^\+?\d+$/{/literal};
  var exec = regex.exec(p);
  if(exec !== null)
    return true
  else
      return false;

}
  var error_message = "{l s='If you want to create or add your loyalty card, please be sure to add a good mobile phone number and accept terms and conditions' mod='zerosix'}"
  var sponsor_error_message = "{l s='This sponsor code have an incorrect format' mod='zerosix'}"
  
  $(function(){
    $("#account-creation_form").on('submit',function(e){
      var zs_phone = $("#zsphone").val();
      var checked = $("#zs_terms").is(":checked");
      var sponsor_code = $("#zs_sponsor_code").val();
      if(checked && zs_phone.length <= 0)
      {
        alert(error_message);
        return false;
      }
      if(zs_phone.length > 0)
      {
        if(!isValidZSPhone(zs_phone)){
          alert(error_message);
          return false;
        }
        if(!checked)
        {
          alert(error_message);
          return false;
        }
      }
      if(sponsor_code && sponsor_code.length > 0) {
        if (!isValidSponsorCode(sponsor_code)) {
          alert(sponsor_error_message);
          return false;
        }
      }
    })
  })
</script>
<div class="form-group zs-loyalty-sign-in">
  <hr>
  <h2 class="loyalty-title">{l s='Loyalty card' mod='zerosix'}</h2>
  <p class="loyalty-para">{l s='In order to create you loyalty card or activate it if one already exist, please fill th field below with your mobile number and accept terms and conditions.' mod='zerosix'}</p>
    <label for="zsphone" class="">{l s='Mobile number' mod='zerosix'}</label>
    <input id="zsphone" name="zsphone" value="{if isset($zs_phone) && !is_null($zs_phone)}{$zs_phone|escape:'htmlall':'UTF-8'}{/if}" class="form-control">
    
  {if $sponsorship_enabled}
  <div class="form-group row">
    <label class="col-md-3 form-control-label">{l s='Sponsor code' mod='zerosix'}</label>
    <div class="col-md-6">
      <input id="zs_sponsor_code" class="form-control" type="text" name="zs_sponsor_code" value="{if isset($zs_sponsor_code) && $zs_sponsor_code != ''}{$zs_sponsor_code|escape:'htmlall':'UTF-8'}{/if}">
      <span class="form-control-comment">{l s='Enter your sponsor code if you have one.' mod='zerosix'} <a href="{$about_sponsorship|escape:'htmlall':'UTF-8'}" target="_blank">{l s='Learn more about the sponsorship offer.' mod='zerosix'}</a></span>
    </div>
    <div class="col-md-3 form-control-comment">
      {l s="Optionnal" mod='zerosix'}
    </div>
  </div>
  {/if}
  {if $multi_languages_enabled }
  <label class="zs-form-label" for="">{l s='What is your favorite language ?' mod='zerosix'}</label>
  <select required name="prefered_language_id">
    {foreach from=$available_languages item=language}
      <option value={$language->id}> {$language->name}</option>
    {/foreach}
  </select>
  {/if}
    <div class="checkbox zs-infos-number">
			<span>{l s='Fill the field with your mobile number in international format.' mod='zerosix'}</span>
		</div>

    <div class="checkbox">
      <div class="checker">
        <span>
          <input type="checkbox" name="zs_terms" id="zs_terms" value="1">
        </span>
      </div>
      <label class="zs-form-terms" for="zs_terms">
        <span>{l s='To create your loyalty card, add your mobile number and' mod='zerosix'}</span>
        <a target="_blank" href="{$terms_uri|escape:'htmlall':'UTF-8'}">
          <span>{l s='accept terms and conditions' mod='zerosix'}.</span>
          <i class="icon icon-link"></i>
        </a>
      </label>
    </div>
</div>
