{*
  * @name zerosix
  * @license zerosix.com
  * @author zerosix.com
  * @copyright zerosix.com
  *}


  {if isset($error) && $error|count > 0 }
    <div class="alert alert-danger">
      {foreach from=$error item=message}
        {$message|escape:'htmlall':'UTF-8'}<br>
      {/foreach}
    </div>
  {/if}


  {if isset($success) && $success|count > 0 }
    <div class="alert alert-success">
      {foreach from=$success item=message}
        {$message|escape:'htmlall':'UTF-8'}<br>
      {/foreach}
    </div>
  {/if}


<div class="box">
  <h1 class="page-subheading">{l s='Almost done' mod='zerosix'}</h1>
  

  <form class="std" action="{$link->getModuleLink('zerosix','account')|escape:'htmlall':'UTF-8'}" method="post">

    {if isset($smarty.get.from_page)}
      <input type="hidden" name="from_page" value="{$smarty.get.from_page}" />
    {/if}

      <div class="row">
          <div class="form-group col-md-6">
            <label for="otp">{l s='For validate your loyalty card, please enter le code number received by SMS' mod='zerosix'}</label> <br>
            <input type="text" id="otp" name="otp" required class="form-control" placeholder="{l s='Enter the code here' mod='zerosix'}">
          </div>
          
          <div class="form-group col-md-6">
            <p>&nbsp;</p>
            <button type="submit" name="checkOtp" class="btn btn-primary">{l s='Validate card' mod='zerosix'}</button>
          </div>
          
          <div class="clearfix">&nbsp;</div>
          
          <div class="col-md-12">
            {l s='You have not received your code ?' mod='zerosix'}
            <a href="{$link->getModuleLink('zerosix','account')|escape:'htmlall':'UTF-8'}?action=sendOtp">{l s='Send again' mod='zerosix'} <i class="icon icon-link"></i></a>
          </div>
      </div>      

  </form>
</div>

