{*
* @name zerosix
* @license zerosix.com
* @author zerosix.com
* @copyright zerosix.com
*}

<script type="text/javascript"> 
var error_message = "{l s='If you want to create or add your loyalty card, please be sure to add a good mobile phone number and accept terms and conditions' mod='zerosix'}"
var sponsor_error_message = "{l s='This sponsor code have an incorrect format' mod='zerosix'}"
</script>
<hr>
<div class="row">
  <h2 class="col-md-12 zs-account-create-title">{l s='Loyalty card' mod='zerosix'} <span>(Optionnel)</span></h2>
  <p class="col-md-12 zs-account-create-para">Pour créer votre carte de fidélité, ou activer votre carte existante sur ce site, veuillez saisir votre numéro de téléphone mobile et accepter les conditions d’utilisation.</p>
</div>
<div class="form-group row ">
  <label class="col-md-3 form-control-label no-padding-top-label">{l s='Mobile number' mod='zerosix'}</label>
  <div class="col-md-6">
    <input id="zsphone" name="zsphone" value="{if isset($zs_phone) && !is_null($zs_phone)}{$zs_phone|escape:'htmlall':'UTF-8'}{/if}" class="form-control">
    <span class="form-control-comment zs-input-comment">{l s='Fill the field with your mobile number in international format.' mod='zerosix'}</span>
  </div>
</div>


  {if $sponsorship_enabled}
  <div class="form-group row">
    <label class="col-md-3 form-control-label">{l s='Sponsor code' mod='zerosix'}</label>
    <div class="col-md-6">
      <input id="zs_sponsor_code" class="form-control" name="zs_sponsor_code" value="{if isset($zs_sponsor_code) && $zs_sponsor_code != ''}{$zs_sponsor_code|escape:'htmlall':'UTF-8'}{/if}">
      <span class="form-control-comment">{l s='Enter your sponsor code if you have one.' mod='zerosix'} <a href="{$about_sponsorship|escape:'htmlall':'UTF-8'}" target="_blank">{l s='Learn more about the sponsorship offer.' mod='zerosix'}</a></span>
    </div>
    <div class="col-md-3 form-control-comment">
      {l s="Optionnal" mod='zerosix'}
    </div>
  </div>
  {/if}
  {if $multi_languages_enabled }
  <label class="zs-form-label" for="">{l s='What is your favorite language ?' mod='zerosix'}</label>
  <select required name="prefered_language_id">
    {foreach from=$available_languages item=language}
      <option value={$language->id}> {$language->name}</option>
    {/foreach}
  </select>
  {/if}
  <div class="form-group row ">
    <label class="col-md-3 form-control-label">
    </label>
    <div class="col-md-6">
      <span class="custom-checkbox">
        <input id="zs_terms" name="zs_terms" type="checkbox" value="1" >
        <span><i class="material-icons checkbox-checked">&#xE5CA;</i></span>
        <label>{l s='To create your loyalty card, add your mobile number and' mod='zerosix'}
          <a target="_blank" href="{$terms_uri|escape:'htmlall':'UTF-8'}">
          <span>{l s='accept terms and conditions' mod='zerosix'}.</span>
          <i class="icon icon-link"></i>
        </a>
      </label>
      </span>
    </div>

    <div class="col-md-3 form-control-comment">


    </div>
  </div>
