<div class="col-lg-12 zs-profil-loyalty-card">
	{if $is_ps1765 }
	<div class="card">
		<div class="card-header">
			<img src="{$logo_path}" width="20px">
	{else}
	<div class="panel">
		<div class="panel-heading">
			<img src="../modules/zerosix/logo.png" width="20px">
	{/if}
			{l s='loyalty card' mod='zerosix'}
		</div>
		{if isset($error) && $error|count > 0 }
		  <div class="alert alert-danger">
		    {foreach from=$error item=message}
		      {$message|escape:'htmlall':'UTF-8'}<br>
		    {/foreach}
		  </div>
		{/if}

		{if isset($success) && $success|count > 0 }
		  <div class="alert alert-success">
		    {foreach from=$success item=message}
		      {$message|escape:'htmlall':'UTF-8'}<br>
		    {/foreach}
		  </div>
		{/if}

	  {if $card_zs == null}
	    <div class="alert alert-danger">
				<span>{l s='This customer has no loyalty card' mod='zerosix'}</span>
				<span class="bold">{l s='create it by enter the phone number' mod='zerosix'}</span>
			</div>
			<form class="form-horizontal" action="{Tools::getCurrentUrlProtocolPrefix()|escape:'htmlall':'UTF-8'}{$smarty.server.HTTP_HOST}{$smarty.server.REQUEST_URI}" method="post">
				<div class="row">
					<div class="form-group col-md-4">
						<label for="card">{l s='The mobile phone number' mod='zerosix'}</label>
						<input class="form-control " type="phone" required name="zs_phone" {if $card}disabled{/if} value="{if isset($zs_phone) && $zs_phone != ''}{$zs_phone|escape:'htmlall':'UTF-8'}{/if}">
					</div>
					<div class="clearfix">&nbsp;</div>
					<div class="form-group col-md-4 clearfix">
						<label for="">&nbsp;</label>
						<button type="submit" {if $card}disabled{/if} class="btn btn-primary" name="submitZSCard"><i class="icon icon-send"></i> {l s='Create customer card' mod='zerosix'}</button>
					</div>
				</div>
	    </form>
	  {else}

	{if $is_ps1765 }
		<div class="card-body">
	{else}
		<div class="form-horizontal">
	{/if}
		<div class="row">
			<label class="control-label col-lg-3">{l s='Card number' mod='zerosix'}</label>
			<div class="col-lg-9">
				<p class="form-control-static"><b>{$card_zs|escape:'htmlall':'UTF-8'}</b></p>
			</div>
		</div>

		<div class="row">
			<label class="control-label col-lg-3">{l s='Creation date' mod='zerosix'}</label>
			<div class="col-lg-9">
				<p class="form-control-static"> {$zs_results->creation_date|date_format:"%e/%m/%Y"} </p>
			</div>
		</div>

		{if $zs_results->program_info->program_type == "CASHBACK"}
			<div class="row">
				<label class="control-label col-lg-3">{l s='Cashback' mod='zerosix'}</label>
				<div class="col-lg-9">
					<p class="form-control-static">
						<span class="label label-info">{displayPrice price=$zs_results->points_balance}</span>
					</p>
				</div>
			</div>
		{else}
			<div class="row">
				<label class="control-label col-lg-3">{l s='Points balance' mod='zerosix'}</label>
				<div class="col-lg-9">
					<p class="form-control-static">
						<span class="label label-info">{$zs_results->points_balance|escape:'htmlall':'UTF-8'}</span>
					</p>
				</div>
			</div>

			<div class="row">
				<label class="control-label col-lg-3">{l s='Total points' mod='zerosix'}</label>
				<div class="col-lg-9">
					<p class="form-control-static">
						<span class="label label-info">{$zs_results->points_total|escape:'htmlall':'UTF-8'}</span>
					</p>
				</div>
			</div>
		{/if}

		{if isset($zs_results->statutory_info) && $zs_results->statutory_info->current_status_name != ''}
		<div class="row">
			<label class="control-label col-lg-3">{l s='Status ' mod='zerosix'}</label>
			<div class="col-lg-9">
				<p class="form-control-static">{$zs_results->statutory_info->current_status_name|escape:'htmlall':'UTF-8'}</p>
			</div>
		</div>
		{/if}
		<div class="row">
			<label class="control-label col-lg-3">{l s='Available vouchers ' mod='zerosix'}  </label>
			<div class="col-lg-9">
				<p class="form-control-static">
					{if $zs_results->available_vouchers|count > 0}
						<span class="badge">{$zs_results->available_vouchers|count}</span>
					{else}
						<div class="label label-warning">
							{l s='No available vouchers' mod='zerosix'}
						</div>
					{/if}
				</p>
			</div>

			{if $zs_results->available_vouchers|count > 0}
				<label class="control-label col-lg-3">{l s='Details' mod='zerosix'} </label>
				<div class="col-lg-9">
					<p class="form-control-static">
						{foreach from=$zs_results->available_vouchers item=v}
							<b>{$v->name|escape:'htmlall':'UTF-8'}</b> <br>
						{/foreach}
					</p>
				</div>
			{/if}
		</div>
		<div class="row">
			<label class="control-label col-lg-3">{l s='More informations' mod='zerosix'} : </label>
			<div class="col-lg-9" style="padding-top:8px;">
				<a href="{$zs_results->dashboard_url}">{l s='Go to the detailed customer page' mod='zerosix'}</a>
			</div>
		</div>
		<form class="form-horizontal" style="text-align:right" action="{Tools::getCurrentUrlProtocolPrefix()|escape:'htmlall':'UTF-8'}{$smarty.server.HTTP_HOST}{$smarty.server.REQUEST_URI}" method="post">
			<button type="submit" class="btn btn-danger" name="unmapZSCard">{l s='Unmap card' mod='zerosix'}</button>
		</form>
		{/if}
		</div>

	</div>


</div>
